Subject: [bug#54241] [PATCH 0/4] 'github' importer gracefully handles rate limiting

From: Ludovic Courtès <[email-masked]>
Date: Sat, 05 Mar 2022 23:00:50 +0100

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op do 03-03-2022 om 22:14 [+0100]:
>> When running "guix refresh" (with no arguments), the 'github' updater
>> gets used until the rate limit has been reached, after which "guix
>> refresh" automatically picks up the next valid updater, typically
>> 'generic-git'.
>
> Wouldn't this make "guix refresh" non-deterministic (though this might
> be an acceptable trade-off)?

Correct.  It could be said that ‘guix refresh’ is “non-deterministic”
anyway since its result depends on external services.  I think it’s an
acceptable tradeoff.

Ludo’.